org.gjt.sp.jedit.buffer

## Class ExplicitFoldHandler

- java.lang.Object
- - org.gjt.sp.jedit.buffer.FoldHandler
  - - org.gjt.sp.jedit.buffer.ExplicitFoldHandler

-     public class ExplicitFoldHandler
      extends FoldHandler

  A fold handler that folds lines based on markers ("{{{" and "}}}") embedded in the text.
  Since:
    jEdit 4.0pre1

- - ### Field Summary

    - ### Fields inherited from class org.gjt.sp.jedit.buffer.FoldHandler

      `foldHandlerProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExplicitFoldHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFoldLevel(JEditBuffer buffer, int lineIndex, javax.swing.text.Segment seg)` Returns the fold level of the specified line.

    - ### Methods inherited from class org.gjt.sp.jedit.buffer.FoldHandler

      `equals, getFoldHandler, getFoldModes, getName, getPrecedingFoldLevels, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExplicitFoldHandler

          public ExplicitFoldHandler()

  - ### Method Detail

    - #### getFoldLevel

          public int getFoldLevel(JEditBuffer buffer,
                         int lineIndex,
                         javax.swing.text.Segment seg)

      Returns the fold level of the specified line.
      Specified by:
        `getFoldLevel` in class `FoldHandler`
      Parameters:
        `buffer` - The buffer in question
        `lineIndex` - The line index
        `seg` - A segment the fold handler can use to obtain any text from the buffer, if necessary
      Returns:
        The fold level of the specified line
      Since:
        jEdit 4.0pre1